## prison 1.0+dfsg

=== CMakeLists.txt ===
project(prison)
cmake_minimum_required(VERSION 2.6)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

find_package(Qt4 REQUIRED)
find_package(QRencode REQUIRED)
find_package(Dmtx REQUIRED)


include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/lib)


add_subdirectory(lib)
add_subdirectory(testapp)

add_subdirectory(tools)

=== lib/prison/CMakeLists.txt ===
include_directories(${QRENCODE_INCLUDE_DIR} ${DMTX_INCLUDE_DIR})
SET(    prison_SRC
        abstractbarcode.cpp
        barcodewidget.cpp
        barcodeitem.cpp
        datamatrixbarcode.cpp
        qrcodebarcode.cpp
        )

add_library(prison SHARED ${prison_SRC})
target_link_libraries(prison ${DMTX_LIBRARIES} ${QRENCODE_LIBRARIES} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

set_target_properties(prison PROPERTIES VERSION "0.0.0" SOVERSION "0" LINK_INTERFACE_LIBRARIES "" DEFINE_SYMBOL BUILDING_PRISON)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )

install( TARGETS prison DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )

install( FILES
         abstractbarcode.h
         AbstractBarcode
         barcodeitem.h
         BarcodeItem
         barcodewidget.h
         BarcodeWidget
         datamatrixbarcode.h
         DataMatrixBarcode
         qrcodebarcode.h
         QRCodeBarcode
         prison_export.h
         DESTINATION ${CMAKE_INSTALL_PREFIX}/include/prison COMPONENT devel
         )

set(INCLUDE_DIRECTORY ${CMAKE_INSTALL_PREFIX}/include)
get_target_property(LIB_OUT_NAME prison LOCATION)
get_filename_component(LIB_OUT_NAME ${LIB_OUT_NAME} NAME)
set(LIBPATH ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})

configure_file(
   PrisonConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/PrisonConfig.cmake @ONLY
)

install( FILES
         ${CMAKE_CURRENT_BINARY_DIR}/PrisonConfig.cmake
	 DESTINATION ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/cmake/Prison
)

=== debian/changelog ===
prison (1.0+dfsg-1) unstable; urgency=low

  [ Philip Muškovac ]
  * Initial release. (Closes: #637083)
  * Repack upstream tarball to include the license text of the cmake scripts.

 -- Debian Krap Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:27 -0300

=== debian/control ===
Source: prison
Section: libs
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Philip Muškovac <yofel@kubuntu.org>,
           Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: cmake,
               debhelper (>= 8.1.3~),
               libdmtx-dev,
               libqrencode-dev,
               libqt4-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kdesupport/prison
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/prison.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/prison.git

Package: libprison-dev
Section: libdevel
Architecture: any
Depends: libprison0 (= ${binary:Version}), ${misc:Depends}
Description: barcode API for Qt - development files
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the development headers and files needed to create
 applications that use the prison library.

Package: libprison0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: barcode API for Qt
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the shared library to be used by applications.

Package: libprison-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libprison0 (= ${binary:Version}), ${misc:Depends}
Description: barcode API for Qt - debugging symbols
 prison is a barcode API currently offering a nice Qt API to produce QRCode
 barcodes and DataMatrix barcodes, and can easily be made support more.
 .
 This package contains the debugging symbols for debugging crashes in the
 prison library

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg$// \
  ftp://ftp.kde.org/pub/kde/stable/prison/([\d\.]+)/src/prison-([\d\.]+).tar.gz

## prison 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 find_package(Dmtx REQUIRED)
 
 
-include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR}/lib)
+include_directories(${CMAKE_SOURCE_DIR}/lib ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} )
 
 
 add_subdirectory(lib)

=== lib/CMakeLists.txt ===
add_subdirectory(prison)

=== debian/changelog ===
prison (1.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to my @debian.org email address.
  * Update the watch file.
  * Switch to debhelper compat level 9.
  * Set libprison-dbg to Multi-Arch: same.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Update symbols file.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 05 Apr 2014 23:01:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Philip Muškovac <yofel@kubuntu.org>,
-           Felix Geyer <debfx-pkg@fobos.de>
+           Felix Geyer <fgeyer@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 8.1.3~),
+               debhelper (>= 9),
                libdmtx-dev,
                libqrencode-dev,
                libqt4-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: https://projects.kde.org/projects/kdesupport/prison
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/prison.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/prison.git
@@ -41,6 +41,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libprison0 (= ${binary:Version}), ${misc:Depends}
 Description: barcode API for Qt - debugging symbols
  prison is a barcode API currently offering a nice Qt API to produce QRCode

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	$(overridden_command) -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_install:
	$(overridden_command) --fail-missing

override_dh_strip:
	$(overridden_command) --dbg-package=libprison-dbg

=== debian/watch ===
version=3

http://ftp.kde.org/stable/prison/(\d[\d\.]+)/src/ prison-([\d\.]+).tar.xz
